diff --git a/Makefile b/Makefile
index d97756b..1b9cb16 100644
--- a/Makefile
+++ b/Makefile
@@ -77,11 +77,14 @@ parallel: noweb ${MNT}/${SYS}/bin/document
 	   ${ENV} ${MAKE} & )
 	@ echo p4 starting parallel make of input documents
 	@ ${ENV} ${MAKE} parallelinput ${NOISE} &
-	@ echo p5 starting parallel make of src
+	@ echo p5 starting parallel make of xhtml documents
+	@ ${ENV} ${MAKE} parallelxhtml ${NOISE} &
+	@ echo p6 starting parallel make of src
 	@ ${ENV} $(MAKE) -f Makefile.${SYS} 
 	@ echo 3 finished system build on `date` | tee >lastBuildDate
 
 parallelinput:
+	@ echo p6 parallel making input documents
 	@ ( mkdir -p ${MNT}/${SYS}/doc/src/input ; \
             cd ${MNT}/${SYS}/doc/src/input ; \
 	    cp ${SRC}/scripts/tex/axiom.sty . ; \
@@ -95,6 +98,14 @@ parallelinput:
 	     rm -f *.toc ; \
 	     rm -f *.aux )
 
+parallelxhtml:
+	@ echo p7 parallel making xhtml pages
+	@mkdir -p ${MNT}/${SYS}/doc/hypertex/bitmaps
+	@(cd ${MNT}/${SYS}/doc/hypertex ; \
+	  ${TANGLE} -t8 ${SPD}/books/bookvol11.pamphlet >Makefile11 ; \
+	  ${ENV} ${MAKE} -j 10 -f Makefile11 ; \
+	  rm -f Makefile11 )
+
 book:
 	@ echo 79 building the book as ${MNT}/${SYS}/doc/book.dvi 
 	@ mkdir -p ${TMP}
diff --git a/Makefile.pamphlet b/Makefile.pamphlet
index 678809c..ab30695 100644
--- a/Makefile.pamphlet
+++ b/Makefile.pamphlet
@@ -51,11 +51,14 @@ parallel: noweb ${MNT}/${SYS}/bin/document
 	   ${ENV} ${MAKE} & )
 	@ echo p4 starting parallel make of input documents
 	@ ${ENV} ${MAKE} parallelinput ${NOISE} &
-	@ echo p5 starting parallel make of src
+	@ echo p5 starting parallel make of xhtml documents
+	@ ${ENV} ${MAKE} parallelxhtml ${NOISE} &
+	@ echo p6 starting parallel make of src
 	@ ${ENV} $(MAKE) -f Makefile.${SYS} 
 	@ echo 3 finished system build on `date` | tee >lastBuildDate
 
 parallelinput:
+	@ echo p6 parallel making input documents
 	@ ( mkdir -p ${MNT}/${SYS}/doc/src/input ; \
             cd ${MNT}/${SYS}/doc/src/input ; \
 	    cp ${SRC}/scripts/tex/axiom.sty . ; \
@@ -69,6 +72,14 @@ parallelinput:
 	     rm -f *.toc ; \
 	     rm -f *.aux )
 
+parallelxhtml:
+	@ echo p7 parallel making xhtml pages
+	@mkdir -p ${MNT}/${SYS}/doc/hypertex/bitmaps
+	@(cd ${MNT}/${SYS}/doc/hypertex ; \
+	  ${TANGLE} -t8 ${SPD}/books/bookvol11.pamphlet >Makefile11 ; \
+	  ${ENV} ${MAKE} -j 10 -f Makefile11 ; \
+	  rm -f Makefile11 )
+
 @
 
 <<*>>=
diff --git a/changelog b/changelog
index 889c402..eb93112 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,6 @@
+20090622 tpd src/axiom-website/patches.html 20090622.02.tpd.patch
+20090622 tpd src/Makefile make xhtml pages in parallel
+20090622 tpd Makefile make xhtml pages in parallel
 20090622 tpd src/axiom-website/patches.html 20090622.01.tpd.patch
 20090622 tpd books/bookvol10.4 ODESYS +-> conversion
 20090621 tpd src/axiom-website/patches.html 20090621.09.tpd.patch
diff --git a/src/Makefile.pamphlet b/src/Makefile.pamphlet
index f52e518..ab5d553 100644
--- a/src/Makefile.pamphlet
+++ b/src/Makefile.pamphlet
@@ -1,4 +1,4 @@
-\documentclass{article}
+documentclass{article}
 \usepackage{axiom}
 \begin{document}
 \title{\$SPAD/src Makefile}
@@ -530,19 +530,18 @@ post processing. Thus the "-j 10" argument to make. We use
 <<browserdir>>=
 browserdir: ${SPD}/books/bookvol11.pamphlet
 	@echo 11 making browser from bookvol11
-	@mkdir -p ${MNT}/${SYS}/doc/hypertex/bitmaps
-	@(cd ${MNT}/${SYS}/doc/hypertex ; \
-	  ${TANGLE} -t8 ${SPD}/books/bookvol11.pamphlet >Makefile11 ; \
-	  ${ENV} ${MAKE} -j 10 -f Makefile11 ; \
-	  rm -f Makefile11 )
-
-@
-\section{The Makefile}
-This Makefile gets called twice during the system build. The first
-call is to the {\bf setup} stanza which will execute the {\bf scriptsdir}
-stanza to copy the system scripts to the [[mnt/${SYS}/bin]] directory. And
-the {\bf libdir} stanza is executed to build {\bf libspad.a} which contains
-code needed by the underlying lisp.
+#	@mkdir -p ${MNT}/${SYS}/doc/hypertex/bitmaps
+#	@(cd ${MNT}/${SYS}/doc/hypertex ; \
+#	  ${TANGLE} -t8 ${SPD}/books/bookvol11.pamphlet >Makefile11 ; \
+#	  ${ENV} ${MAKE} -j 10 -f Makefile11 ; \
+#	  rm -f Makefile11 )
+
+@ \section{The Makefile} This Makefile gets called twice during the
+system build. The first call is to the {\bf setup} stanza which will
+execute the {\bf scriptsdir} stanza to copy the system scripts to the
+[[mnt/${SYS}/bin]] directory. And the {\bf libdir} stanza is executed
+to build {\bf libspad.a} which contains code needed by the underlying
+lisp.
 
 The second call will execute the {\bf all} stanza. This stanza walks 
 all of the lower level directories.
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index e05bb3d..da71f29 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1637,5 +1637,7 @@ spline.input explain how to compute 2D splines<br/>
 bookvol10.4 SUBRESP +-> conversion<br/>
 <a href="patches/20090622.01.tpd.patch">20090622.01.tpd.patch</a>
 bookvol10.4 ODESYS +-> conversion<br/>
+<a href="patches/20090622.01.tpd.patch">20090622.01.tpd.patch</a>
+Makefile make xhtml pages in parallel<br/>
  </body>
 </html>
